package cn.iocoder.yudao.module.system.service.home;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceOrderPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceOrderPageRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceOrderRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceOrderSaveReqVO;

public interface HomeServiceOrderService {

    Long createHomeServiceOrder(HomeServiceOrderSaveReqVO createReqVO);

    void updateHomeServiceOrder(HomeServiceOrderSaveReqVO updateReqVO);

    void deleteHomeServiceOrder(Long id);

    HomeServiceOrderRespVO getHomeServiceOrder(Long id);

    PageResult<HomeServiceOrderPageRespVO> getHomeServiceOrderPage(HomeServiceOrderPageReqVO pageReqVO);

    void confirmHomeServiceOrders(Long[] orderIds);
}
